//------------------------------------------------------
//
//   Greg's Blocks Mod - Client Proxy
//
//------------------------------------------------------

package gcewing.blocks;

import net.minecraft.entity.player.*;
import net.minecraft.item.*;
import net.minecraft.tileentity.*;
import net.minecraft.world.*;

import net.minecraft.client.Minecraft;
import net.minecraftforge.client.MinecraftForgeClient;
import cpw.mods.fml.client.registry.RenderingRegistry;

public class GregsBlocksClient extends BaseModClient {

	GregsBlocks mod;

	public GregsBlocksClient(GregsBlocks mod) {
		super(mod);
		this.mod = mod;
	}
	
	@Override
	void registerScreens() {
		addScreen(mod.guiSawbench, GuiSawbench.class);
	}

	@Override
	void registerRenderers() {
		BlockShape.modelID = RenderingRegistry.getNextAvailableRenderId();
		RenderingRegistry.registerBlockHandler(BlockShape.modelID, new RenderShape());
		MinecraftForgeClient.registerItemRenderer(Item.getItemFromBlock(GregsBlocks.blockShape),
			new RenderItemShape());
	}
	
}
